Bug 1921258 - User Preferences: Active perspective and project change in the current window when selected in a different window
Summary: User Preferences: Active perspective and project change in the current window...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: cvogt
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-27 19:40 UTC by Samuel Padgett
Modified: 2021-02-24 15:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.7.0-0.nightly-2021-01-27-072811 Cluster ID: 8d16604e-b600-4b34-90d4-c6831701fbbf Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.16; rv:84.0) Gecko/20100101 Firefox/84.0
Last Closed: 2021-02-24 15:56:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
Video of the problem (838.61 KB, video/mp4)
2021-01-27 20:34 UTC, Samuel Padgett
no flags Details
User Preferences: Active perspective and project remains same in the current window when selected in a different window (2.89 MB, video/webm)
2021-02-02 21:16 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7958 0 None closed Bug 1921258: use sessionStorage for user-settings when impersonating 2021-02-11 18:40:50 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:58 UTC

Description Samuel Padgett 2021-01-27 19:40:24 UTC
I'm logged into to kubeadmin. Another person is logged in as kubeadmin in a different browser. When the other user changes the active perspective or project, the change is happening on my screen. The screen flashes and scrolls to the top when it happens. This makes console almost unusable.

While this might be an edge case in a shared development cluster, there are a few scenarios I could see where it can commonly happen:

1. Multiple users share the kubeadmin ID (or another cluster-admin account)
2. A single user has multiple tabs open where they want to work in different perspectives or projects

We should make sure that the active perspective and project from user preferences are only evaluated on console load.

We might also consider storing preferences for kubeadmin in localStorage since it's likely not uncommon for it to be shared account.

Comment 2 Samuel Padgett 2021-01-27 20:34:17 UTC
Created attachment 1751388 [details]
Video of the problem

I'm attaching a video of the problem. It's possible this only happens when impersonation is enabled. I was logged in as kubeadmin, but impersonating user `test` in one window.

Comment 4 spathak@redhat.com 2021-02-02 21:16:17 UTC
Created attachment 1754520 [details]
User Preferences: Active perspective and project remains same in the current window when selected in a different window

Comment 5 spathak@redhat.com 2021-02-02 21:19:07 UTC
Verified on build version: 4.7.0-0.nightly-2021-02-01-180932
Browser version: Chrome 84, Firefox 80

Comment 8 errata-xmlrpc 2021-02-24 15:56:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.